Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::Component_Packager::Base_Packager Class Reference

`#include <Base_Packager.h>`

Inheritance diagram for CIAO::Component_Packager::Base_Packager:

[legend]
List of all members.

## Public Types
typedef packageplan | PACKAGE_PLAN
## Public Member Functions
| Base_Packager (const char *pkg_url, const char *cdp_url, const char *pdl_url=0, bool include_std_desc=true)
| constructor
int | preparePackage (PACKAGE_PLAN &pkg_plan)
| Prepare the package plan.
int | createPackage (const PACKAGE_PLAN &pkg_plan)
| Create the archive.
## Protected Attributes
const char * | pkg_url_
const char * | cdp_url_
const char * | pdl_url_
bool | include_std_desc_

## Member Typedef Documentation

typedef packageplan CIAO::Component_Packager::Base_Packager::PACKAGE_PLAN

## Constructor & Destructor Documentation

CIAO::Component_Packager::Base_Packager::Base_Packager | ( | const char * | pkg_url,
|  | const char * | cdp_url,
|  | const char * | pdl_url = `0`,
|  | bool | include_std_desc = `true`
| ) |

| constructor

## Member Function Documentation

int CIAO::Component_Packager::Base_Packager::createPackage | ( | const PACKAGE_PLAN & | pkg_plan | ) |

| Create the archive. Reimplemented in CIAO::Component_Packager::CPK_Packager.

int CIAO::Component_Packager::Base_Packager::preparePackage | ( | PACKAGE_PLAN & | pkg_plan | ) |

| Prepare the package plan. Reimplemented in CIAO::Component_Packager::CPK_Packager.

## Member Data Documentation

const char* CIAO::Component_Packager::Base_Packager::cdp_url_`[protected]`

bool CIAO::Component_Packager::Base_Packager::include_std_desc_`[protected]`

const char* CIAO::Component_Packager::Base_Packager::pdl_url_`[protected]`

const char* CIAO::Component_Packager::Base_Packager::pkg_url_`[protected]`

The documentation for this class was generated from the following files:

- Base_Packager.h
- Base_Packager.cpp